#include <string>
#include <vector>
#include "ReWindow/ClipboardService.h"

std::vector<std::string> clipboard_history;
std::string clipboard;


namespace ClipboardService {
    std::string GetClipboard(int historyIndex) {

        if (historyIndex > 0) {
            return clipboard_history[historyIndex - 1];
        }

        return clipboard;
    }

    void SetClipboard(const std::string& str, bool overwrites_last) {

        if (!overwrites_last) {
            clipboard_history.push_back(clipboard);
        }

        clipboard = str;
    }

}