#include "ReWindow/InputService.h"
#include "ReWindow/types/Window.h"
namespace InputService
{
    bool IsKeyDown(const Key &key) {
        return RWindow::GetExtant()->IsKeyDown(key);
    }
    bool IsMouseButtonDown(const MouseButton &button) {
        return RWindow::GetExtant()->IsMouseButtonDown(button);
    }
    IPair GetMousePosition() {
        return RWindow::GetExtant()->GetMouseCoordinates();
    }
    IPair GetWindowSize() {
        return RWindow::GetExtant()->GetSize();
    }
}